Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class SystemRecoveryActions

    java.lang.Object
      com.ibm.able.examples.rules.SystemRecoveryActions

All Implemented Interfaces:
  java.io.Serializable

public class SystemRecoveryActions
extends java.lang.Object
implements java.io.Serializable

This class contains the planning actions specified in the ARL file Plan_SystemRecovery.arl.

See Also:
  Serialized Form

Constructor Summary
`SystemRecoveryActions()` Create the SystemRecovery object that can perform the system recovery planning actions specified in Plan_SystemRecovery ABLE rule language (ARL) source file.

Method Summary
`static boolean` | `startapp(java.lang.String theApp, java.lang.String theEServer, java.lang.String theDB, java.lang.String theDirServer, java.lang.String theWASServer)` Start the specified application on the specified EServer.
`static boolean` | `startdb(java.lang.String theDB, java.lang.String theEServer)` Start the specified database on the specified EServer.
`static boolean` | `startwasserver(java.lang.String theWASServer, java.lang.String theEServer, java.lang.String theDB)` Start the specified WAS server on the specified EServer.
`java.lang.String` | `toString()` Display pertinent information about this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemRecoveryActions

    public SystemRecoveryActions()

  Create the SystemRecovery object that can perform the system recovery planning actions specified in Plan_SystemRecovery ABLE rule language (ARL) source file.

Method Detail

### startdb

    public static boolean startdb(java.lang.String theDB,
                                  java.lang.String theEServer)

  Start the specified database on the specified EServer.

  Returns:
    true if the action is successful; false otherwise.

### startwasserver

    public static boolean startwasserver(java.lang.String theWASServer,
                                         java.lang.String theEServer,
                                         java.lang.String theDB)

  Start the specified WAS server on the specified EServer.

  Returns:
    true if the action is successful; false otherwise.

### startapp

    public static boolean startapp(java.lang.String theApp,
                                   java.lang.String theEServer,
                                   java.lang.String theDB,
                                   java.lang.String theDirServer,
                                   java.lang.String theWASServer)

  Start the specified application on the specified EServer.

  Returns:
    true if the action is successful; false otherwise.

### toString

    public java.lang.String toString()

  Display pertinent information about this object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005